<?php
/*
Template Name: Testimonials
*/

get_header();
$layout = get_post_meta($post->ID, "layout", true);
?>

	<?php get_template_part('/functions/page-title'); ?>

	<div id="content" class="non-contained clearfix">

		<?php
		$content = get_the_content();
		if($content !="") : ?>
			<div class="copy page-feature-copy">
				<?php the_content(); ?>
			</div>
		<?php endif; ?>


		<?php $args = array(
			"post_type" => 'testimonials',
			'orderby' => 'menu_order',
			'order' => 'ASC'
		);

		$testimonials = new WP_Query($args); ?>

		<ul class="testimonials-container <?php echo $layout; ?>">
			<?php
				while ( $testimonials->have_posts() ) : $testimonials->the_post();
					global $post;
					$link = get_post_meta($post->ID, "link", true); ?>

					<li class="testimonial-item column">
						<?php if(has_post_thumbnail()) : ?>
							<div class="testimonial-image">
								<?php the_post_thumbnail('thumbnail'); ?>
								<span class="tip"></span>
							</div>
						<?php endif; ?>
						<div class="testimonial-body">
							<blockquote><?php the_excerpt(); ?></blockquote>
							<cite class="testimonial-name">
								<?php if(isset($link) && $link !='' ): ?>
									<a target="_blank" href="<?php echo $link; ?>"><?php the_title(); ?></a>
								<?php else : ?>
									<?php the_title(); ?>
								<?php endif;?>
							</cite>
						</div>
					</li>
			<?php endwhile; ?>
		</ul>

	</div>

<?php get_footer(); ?>